EUCA-DESCRIBE-INSTANCE-STATUS(1)

NAME
euca-describe-instance-status - Show information about instance status and scheduled events

SYNOPSIS
euca-describe-instance-status [--hide-healthy]

[--include-all-instances]
    [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--filter NAME=VALUE] [--debug] [--debugger] [--version] [-h] [INSTANCE [INSTANCE ...]]

DESCRIPTION
Show information about instance status and scheduled events

  positional arguments:

INSTANCE
    limit results to specific instances

  optional arguments:

--hide-healthy
    hide instances where all status checks pass

--include-all-instances
    show all instances, not just those that are running

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--filter NAME=VALUE
    restrict results to those that meet criteria

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit

  allowed filter names:
availability-zone event.code the code identifying the type of event event.description an event's description event.not-after an event's latest possible end time event.not-before an event's earliest possible start time instance-state-code numeric code identifying instance state instance-state-name instance state instance-status.status instance's status

instance-status.reachability
    instance's reachability status

system-status.status
    instance's system status

system-status.reachability
    instance's system reachability status